com.dlsc.flexgantt.swing.layer.system

## Class AbstractSystemLayer

- java.lang.Object
- - com.dlsc.flexgantt.swing.layer.AbstractLayer
  - - com.dlsc.flexgantt.swing.layer.system.AbstractSystemLayer

- Direct Known Subclasses:
    ActionLayer, BackgroundLayer, CalendarLayer, CrosshairLayer, DatelineLayer, DragLayer, DropShadowLayer, EditingLayer, EventlineLayer, GridLayer, LabelLayer, LassoLayer, LinkLayer, PopupLayer, RelationshipLayer, RowLayer, SelectionLayer, SpreadsheetLayer, TimeNowLayer

      public abstract class AbstractSystemLayer
      extends AbstractLayer

  Common and abstract superclass used for system layers.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `ILayerFactory.createSystemLayer(LayerContainer, Class)`, `LayerContainer.getSystemLayer(Class)`

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `alpha, changeSupport, ganttChart, layerContainer, PROPERTY_ALPHA, PROPERTY_VISIBLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSystemLayer(String name, LayerContainer lc)` Constructs a new system layer.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.swing.layer.AbstractLayer

      `addPropertyChangeListener, getAlpha, getDateline, getEventline, getGanttChart, getHeight, getLayerContainer, getLayerPolicyProvider, getModel, getName, getStartRow, getTimeAt, getTimeline, getTimeLocation, getTimeSpanUsed, getToolTipText, getTreeTable, getTreeTablePolicyProvider, getWidth, isVisible, paintLayer, removePropertyChangeListener, repaint, repaint, repaint, setAlpha, setVisible, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSystemLayer

          protected AbstractSystemLayer(String name,
                                        LayerContainer lc)

      Constructs a new system layer.
      Parameters:
        `name` - the layer's name
        `lc` - the parent layer container
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.